Package com.sas.lsaf.execution.job

## Class OutputFileSpec

- java.lang.Object
- - com.sas.lsaf.execution.job.OutputFileSpec

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `JobPublishCheckin`

      public class OutputFileSpec
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the information about the method to check in outputs that are generated from a job submission. The default is not to version new files. The default version type is MAJOR.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputFileSpec()` | The default constructor.
    `OutputFileSpec​(boolean enableVersioningForNewFiles)` | The constructor.
    `OutputFileSpec​(boolean enableVersioningForNewFiles, VersionType versionType)` | The constructor.
    `OutputFileSpec​(boolean enableVersioningForNewFiles, VersionType versionType, java.lang.String customVersion)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCustomVersion()` | Gets the version when the version type is `CUSTOM`.
    `VersionType` | `getVersionType()` | Gets the method to generate the next version.
    `int` | `hashCode()` |
    `boolean` | `isEnableVersioningForNewFiles()` | Sets whether new files are versioned when created.
    `void` | `setCustomVersion​(java.lang.String customVersion)` | Sets the version when the version type is `CUSTOM`.
    `void` | `setEnableVersioningForNewFiles​(boolean enableVersioningForNewFiles)` | Indicates whether new files are versioned when they are created.
    `void` | `setVersionType​(VersionType versionType)` | Sets the method to generate the next version.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputFileSpec

          public OutputFileSpec()

      The default constructor.

    - #### OutputFileSpec

          public OutputFileSpec​(boolean enableVersioningForNewFiles)

      The constructor.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether to version new files.

    - #### OutputFileSpec

          public OutputFileSpec​(boolean enableVersioningForNewFiles,
                                VersionType versionType)

      The constructor.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether to version new files.
        `versionType` - Specifies the method to generate the next version.

    - #### OutputFileSpec

          public OutputFileSpec​(boolean enableVersioningForNewFiles,
                                VersionType versionType,
                                java.lang.String customVersion)

      The constructor.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether to version new files.
        `versionType` - Specifies the method to generate the next version.
        `customVersion` - The version, if the version type is `CUSTOM`.

  - ### Method Detail

    - #### isEnableVersioningForNewFiles

          public boolean isEnableVersioningForNewFiles()

      Sets whether new files are versioned when created.
      Returns:
        True, if new files are versioned when created.

    - #### setEnableVersioningForNewFiles

          public void setEnableVersioningForNewFiles​(boolean enableVersioningForNewFiles)

      Indicates whether new files are versioned when they are created.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether new files are versioned when created.

    - #### getVersionType

          public VersionType getVersionType()

      Gets the method to generate the next version.
      Returns:
        The method.

    - #### setVersionType

          public void setVersionType​(VersionType versionType)

      Sets the method to generate the next version.
      Parameters:
        `versionType` - The method.

    - #### getCustomVersion

          public java.lang.String getCustomVersion()

      Gets the version when the version type is `CUSTOM`.
      Returns:
        The version.

    - #### setCustomVersion

          public void setCustomVersion​(java.lang.String customVersion)

      Sets the version when the version type is `CUSTOM`.
      Parameters:
        `customVersion` - The version.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`